#!/usr/bin/python2
#
#   Version 1.1
#
#   Copyright 2016-2018 Lee Djavaherian
#
#   This file is part of TrillSat.
#
#   TrillSat is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   TrillSat is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with TrillSat.  If not, see <http://www.gnu.org/licenses/>.
###################################################################################

botpassword = 'botpassword'

message_file = '/trillsat/trillsat_pbbs_messages'
maildir = '/trillsat/'
info_file = '/trillsat/trillsat_pbbs_info'

Fake_TX = 9
Fake_RX = 10
RTS = 17

aprs_freq = '144.390'
packet_freq = '145.070'

#this is left unconnected!  Do not solder a pin to it!
#GPIO 4 is safe for Type 1,2, and 3 according to Pigpio docs

Virtual_RTS = 4

#UV5R_MODEL_291 (radio id?)
radio_id = "\x50\xBB\xFF\x20\x12\x07\x25"

#used TEST01 in place of callsign for testing
stationcall = 'TEST01-1'

#needed for SetRadio function:
radio_filename = '/tmp/trillsat_radio_memory'
serial = '/dev/ttyAMA0'

